<div class="container-fluid">
  <div class="row">
    <!--Filters-->
    <div class="border-bottom-xl-rigth
                col-12 p-pt-5 pb-1
                col-xl-3">
      <div class="form-group">
        <label>Projects:</label>
        <p-tree [value]="filterProjects" [(selection)]="selectedProjects" selectionMode="checkbox" [style]="{'width':'100%', 'padding':'0'}"></p-tree>
      </div>
      <div class="form-group">
        <p-button label="Apply" (click)="loadUserTimeReportsAndCalculateHours()"></p-button>
      </div>
    </div>
    <!--Data-->
    <div class="p-py-5
                col-12
                col-xl-9">
      <div class="form-group">
        <div class="p-buttonset d-flex justify-content-center">
          <button pButton icon="fa fa-chevron-left" (click)="previousMonthClick()"></button>
          <button pButton class="no-click"  label="{{months[currentMonth.getMonth()]}} {{currentMonth.getFullYear()}}"></button>
          <button pButton icon="fa fa-chevron-right" (click)="nextMonthClick()"></button>
        </div>
      </div>
      <div class="form-group" style="overflow-x: auto">
        <p-table [scrollable]="true" [value]="weekRows" [style]="{ 'min-width': '660px' }">
          <ng-template pTemplate="header">
            <tr>
              <th *ngFor="let column of columns" class="total">
                {{column}}
              </th>
            </tr>
          </ng-template>
          <ng-template pTemplate="body" let-weekRow>
            <tr>
              <td *ngFor="let column of columns" class="cell"
                  [ngClass]="{ 'disabled': !weekRow[column] || isTableCellDisabled(weekRow[column]?.date),
                   'total' : column === 'Total' }">
                <div *ngIf="weekRow[column]?.date" class="date">
                  {{weekRow[column].date.getDate()}}
                </div>
                <div class="hours d-flex justify-content-around align-items-center">
                  <div *ngIf="weekRow[column] && weekRow[column]?.internalHours !== undefined" class="badge badge-success">
                    {{weekRow[column]?.internalHours}}
                  </div>
                  <div *ngIf="weekRow[column] && weekRow[column]?.externalHours !== undefined" class="badge badge-info">
                    {{weekRow[column]?.externalHours}}
                  </div>
                </div>
                <div *ngIf="weekRow[column] && column !== 'Total'"
                  class="clickable"                  
                  (click)="getTimeReportDetails(weekRow[column].date, $event)">
                </div>
              </td>
            </tr>
          </ng-template>
        </p-table>
      </div>
      <div class="form-group d-flex justify-content-end">
        <div class="badge badge-success">
          Internal {{totalInternal}}/{{currentMonthBaseLine}}
        </div>
      </div>
      <div class="form-group d-flex justify-content-end">
        <div class="badge badge-info">
          External {{totalExternal}}
        </div>
      </div>
      <p-overlayPanel 
      #op 
      [appendTo]="'body'"
      [dismissable]="true"
      [hideTransitionOptions]="'0ms'">
      <app-time-reports-table-preview
        [projects]="activeProjects"
        [timeReports]="selectedTimeReports"
        [reportingDate]="reportingDate"
        [userDefaults]="userDefaults"
        (addTimeReport)="onAddTimeReport($event)"
        (editTimeReport)="onEditTimeReport($event)"
        (deleteTimeReport)="onDeleteTimeReport($event)">
      </app-time-reports-table-preview>
      </p-overlayPanel>
    </div>
  </div>

</div>

